import {
    createRouter,
    createWebHashHistory
} from 'vue-router'
import Login from "../views/login/login";
import Layout from "../views/layout/layout";
import Logs from "../views/monitor/logs";
import Item from "../views/system/item";
import Group from "../views/system/group";
import Lps from "../views/devices/lp";
import Users from "../views/system/users";

const routes = [{
    path: "/",
    name: "Layout",
    component: Layout,
    children: [
        {
            path: "/logs",
            name: "Logs",
            component: Logs
        },
        {
            path: "/devices/lp",
            name: "Lps",
            component: Lps
        },
        {
            path: "/groups",
            name: "Group",
            component: Group
        },
        {
            path: "/users",
            name: "Users",
            component: Users
        },
        {
            path: "/items",
            name: "Item",
            component: Item
        }
    ]
},
    {
        path: "/login",
        name: "Login",
        component: Login,
    }
];
const router = createRouter({
    history: createWebHashHistory(),
    routes
});

export default router
